#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* ADC_Ext_CP_Clk */
#define ADC_Ext_CP_Clk__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ADC_Ext_CP_Clk__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ADC_Ext_CP_Clk__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ADC_Ext_CP_Clk__CFG2_SRC_SEL_MASK 0x07u
#define ADC_Ext_CP_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_Ext_CP_Clk__PM_ACT_MSK 0x01u
#define ADC_Ext_CP_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_Ext_CP_Clk__PM_STBY_MSK 0x01u

/* UART_IntClock */
#define UART_IntClock__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define UART_IntClock__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define UART_IntClock__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define UART_IntClock__CFG2_SRC_SEL_MASK 0x07u
#define UART_IntClock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define UART_IntClock__PM_ACT_MSK 0x02u
#define UART_IntClock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define UART_IntClock__PM_STBY_MSK 0x02u

/* ADC_theACLK */
#define ADC_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define ADC_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define ADC_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define ADC_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define ADC_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_theACLK__PM_ACT_MSK 0x01u
#define ADC_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_theACLK__PM_STBY_MSK 0x01u

/* Acc_Enable */
#define Acc_Enable__0__MASK 0x04u
#define Acc_Enable__0__PC CYREG_PRT15_PC2
#define Acc_Enable__0__PORT 15
#define Acc_Enable__0__SHIFT 2
#define Acc_Enable__AG CYREG_PRT15_AG
#define Acc_Enable__AMUX CYREG_PRT15_AMUX
#define Acc_Enable__BIE CYREG_PRT15_BIE
#define Acc_Enable__BIT_MASK CYREG_PRT15_BIT_MASK
#define Acc_Enable__BYP CYREG_PRT15_BYP
#define Acc_Enable__CTL CYREG_PRT15_CTL
#define Acc_Enable__DM0 CYREG_PRT15_DM0
#define Acc_Enable__DM1 CYREG_PRT15_DM1
#define Acc_Enable__DM2 CYREG_PRT15_DM2
#define Acc_Enable__DR CYREG_PRT15_DR
#define Acc_Enable__INP_DIS CYREG_PRT15_INP_DIS
#define Acc_Enable__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define Acc_Enable__LCD_EN CYREG_PRT15_LCD_EN
#define Acc_Enable__MASK 0x04u
#define Acc_Enable__PORT 15
#define Acc_Enable__PRT CYREG_PRT15_PRT
#define Acc_Enable__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define Acc_Enable__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define Acc_Enable__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define Acc_Enable__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define Acc_Enable__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define Acc_Enable__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define Acc_Enable__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define Acc_Enable__PS CYREG_PRT15_PS
#define Acc_Enable__SHIFT 2
#define Acc_Enable__SLW CYREG_PRT15_SLW

/* UART_BUART */
#define UART_BUART_sRX_RxBitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define UART_BUART_sRX_RxBitCounter_ST__16BIT_STATUS_REG CYREG_B0_UDB10_11_ST
#define UART_BUART_sRX_RxBitCounter_ST__MASK_REG CYREG_B0_UDB10_MSK
#define UART_BUART_sRX_RxBitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define UART_BUART_sRX_RxBitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define UART_BUART_sRX_RxBitCounter_ST__STATUS_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define UART_BUART_sRX_RxBitCounter_ST__STATUS_CNT_REG CYREG_B0_UDB10_ST_CTL
#define UART_BUART_sRX_RxBitCounter_ST__STATUS_CONTROL_REG CYREG_B0_UDB10_ST_CTL
#define UART_BUART_sRX_RxBitCounter_ST__STATUS_REG CYREG_B0_UDB10_ST
#define UART_BUART_sRX_RxBitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define UART_BUART_sRX_RxBitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB10_11_CTL
#define UART_BUART_sRX_RxBitCounter__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB10_11_CTL
#define UART_BUART_sRX_RxBitCounter__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB10_11_CTL
#define UART_BUART_sRX_RxBitCounter__16BIT_COUNT_COUNT_REG CYREG_B0_UDB10_11_CTL
#define UART_BUART_sRX_RxBitCounter__16BIT_MASK_MASK_REG CYREG_B0_UDB10_11_MSK
#define UART_BUART_sRX_RxBitCounter__16BIT_MASK_PERIOD_REG CYREG_B0_UDB10_11_MSK
#define UART_BUART_sRX_RxBitCounter__16BIT_PERIOD_MASK_REG CYREG_B0_UDB10_11_MSK
#define UART_BUART_sRX_RxBitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB10_11_MSK
#define UART_BUART_sRX_RxBitCounter__CONTROL_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define UART_BUART_sRX_RxBitCounter__CONTROL_REG CYREG_B0_UDB10_CTL
#define UART_BUART_sRX_RxBitCounter__CONTROL_ST_REG CYREG_B0_UDB10_ST_CTL
#define UART_BUART_sRX_RxBitCounter__COUNT_REG CYREG_B0_UDB10_CTL
#define UART_BUART_sRX_RxBitCounter__COUNT_ST_REG CYREG_B0_UDB10_ST_CTL
#define UART_BUART_sRX_RxBitCounter__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define UART_BUART_sRX_RxBitCounter__PERIOD_REG CYREG_B0_UDB10_MSK
#define UART_BUART_sRX_RxBitCounter__PER_CTL_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define UART_BUART_sRX_RxShifter_u0__16BIT_A0_REG CYREG_B0_UDB10_11_A0
#define UART_BUART_sRX_RxShifter_u0__16BIT_A1_REG CYREG_B0_UDB10_11_A1
#define UART_BUART_sRX_RxShifter_u0__16BIT_D0_REG CYREG_B0_UDB10_11_D0
#define UART_BUART_sRX_RxShifter_u0__16BIT_D1_REG CYREG_B0_UDB10_11_D1
#define UART_BUART_sRX_RxShifter_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define UART_BUART_sRX_RxShifter_u0__16BIT_F0_REG CYREG_B0_UDB10_11_F0
#define UART_BUART_sRX_RxShifter_u0__16BIT_F1_REG CYREG_B0_UDB10_11_F1
#define UART_BUART_sRX_RxShifter_u0__A0_A1_REG CYREG_B0_UDB10_A0_A1
#define UART_BUART_sRX_RxShifter_u0__A0_REG CYREG_B0_UDB10_A0
#define UART_BUART_sRX_RxShifter_u0__A1_REG CYREG_B0_UDB10_A1
#define UART_BUART_sRX_RxShifter_u0__D0_D1_REG CYREG_B0_UDB10_D0_D1
#define UART_BUART_sRX_RxShifter_u0__D0_REG CYREG_B0_UDB10_D0
#define UART_BUART_sRX_RxShifter_u0__D1_REG CYREG_B0_UDB10_D1
#define UART_BUART_sRX_RxShifter_u0__DP_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define UART_BUART_sRX_RxShifter_u0__F0_F1_REG CYREG_B0_UDB10_F0_F1
#define UART_BUART_sRX_RxShifter_u0__F0_REG CYREG_B0_UDB10_F0
#define UART_BUART_sRX_RxShifter_u0__F1_REG CYREG_B0_UDB10_F1
#define UART_BUART_sRX_RxShifter_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define UART_BUART_sRX_RxShifter_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define UART_BUART_sRX_RxSts__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB11_12_ACTL
#define UART_BUART_sRX_RxSts__16BIT_STATUS_REG CYREG_B0_UDB11_12_ST
#define UART_BUART_sRX_RxSts__3__MASK 0x08u
#define UART_BUART_sRX_RxSts__3__POS 3
#define UART_BUART_sRX_RxSts__4__MASK 0x10u
#define UART_BUART_sRX_RxSts__4__POS 4
#define UART_BUART_sRX_RxSts__5__MASK 0x20u
#define UART_BUART_sRX_RxSts__5__POS 5
#define UART_BUART_sRX_RxSts__MASK 0x38u
#define UART_BUART_sRX_RxSts__MASK_REG CYREG_B0_UDB11_MSK
#define UART_BUART_sRX_RxSts__STATUS_AUX_CTL_REG CYREG_B0_UDB11_ACTL
#define UART_BUART_sRX_RxSts__STATUS_REG CYREG_B0_UDB11_ST
#define UART_BUART_sTX_TxShifter_u0__16BIT_A0_REG CYREG_B0_UDB08_09_A0
#define UART_BUART_sTX_TxShifter_u0__16BIT_A1_REG CYREG_B0_UDB08_09_A1
#define UART_BUART_sTX_TxShifter_u0__16BIT_D0_REG CYREG_B0_UDB08_09_D0
#define UART_BUART_sTX_TxShifter_u0__16BIT_D1_REG CYREG_B0_UDB08_09_D1
#define UART_BUART_sTX_TxShifter_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB08_09_ACTL
#define UART_BUART_sTX_TxShifter_u0__16BIT_F0_REG CYREG_B0_UDB08_09_F0
#define UART_BUART_sTX_TxShifter_u0__16BIT_F1_REG CYREG_B0_UDB08_09_F1
#define UART_BUART_sTX_TxShifter_u0__A0_A1_REG CYREG_B0_UDB08_A0_A1
#define UART_BUART_sTX_TxShifter_u0__A0_REG CYREG_B0_UDB08_A0
#define UART_BUART_sTX_TxShifter_u0__A1_REG CYREG_B0_UDB08_A1
#define UART_BUART_sTX_TxShifter_u0__D0_D1_REG CYREG_B0_UDB08_D0_D1
#define UART_BUART_sTX_TxShifter_u0__D0_REG CYREG_B0_UDB08_D0
#define UART_BUART_sTX_TxShifter_u0__D1_REG CYREG_B0_UDB08_D1
#define UART_BUART_sTX_TxShifter_u0__DP_AUX_CTL_REG CYREG_B0_UDB08_ACTL
#define UART_BUART_sTX_TxShifter_u0__F0_F1_REG CYREG_B0_UDB08_F0_F1
#define UART_BUART_sTX_TxShifter_u0__F0_REG CYREG_B0_UDB08_F0
#define UART_BUART_sTX_TxShifter_u0__F1_REG CYREG_B0_UDB08_F1
#define UART_BUART_sTX_TxSts__0__MASK 0x01u
#define UART_BUART_sTX_TxSts__0__POS 0
#define UART_BUART_sTX_TxSts__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB08_09_ACTL
#define UART_BUART_sTX_TxSts__16BIT_STATUS_REG CYREG_B0_UDB08_09_ST
#define UART_BUART_sTX_TxSts__1__MASK 0x02u
#define UART_BUART_sTX_TxSts__1__POS 1
#define UART_BUART_sTX_TxSts__2__MASK 0x04u
#define UART_BUART_sTX_TxSts__2__POS 2
#define UART_BUART_sTX_TxSts__3__MASK 0x08u
#define UART_BUART_sTX_TxSts__3__POS 3
#define UART_BUART_sTX_TxSts__MASK 0x0Fu
#define UART_BUART_sTX_TxSts__MASK_REG CYREG_B0_UDB08_MSK
#define UART_BUART_sTX_TxSts__STATUS_AUX_CTL_REG CYREG_B0_UDB08_ACTL
#define UART_BUART_sTX_TxSts__STATUS_REG CYREG_B0_UDB08_ST
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_A0_REG CYREG_B0_UDB09_10_A0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_A1_REG CYREG_B0_UDB09_10_A1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_D0_REG CYREG_B0_UDB09_10_D0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_D1_REG CYREG_B0_UDB09_10_D1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB09_10_ACTL
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_F0_REG CYREG_B0_UDB09_10_F0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_F1_REG CYREG_B0_UDB09_10_F1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__A0_A1_REG CYREG_B0_UDB09_A0_A1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__A0_REG CYREG_B0_UDB09_A0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__A1_REG CYREG_B0_UDB09_A1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__D0_D1_REG CYREG_B0_UDB09_D0_D1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__D0_REG CYREG_B0_UDB09_D0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__D1_REG CYREG_B0_UDB09_D1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__DP_AUX_CTL_REG CYREG_B0_UDB09_ACTL
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__F0_F1_REG CYREG_B0_UDB09_F0_F1
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__F0_REG CYREG_B0_UDB09_F0
#define UART_BUART_sTX_sCLOCK_TxBitClkGen__F1_REG CYREG_B0_UDB09_F1

/* ADC_DSM2 */
#define ADC_DSM2__BUF0 CYREG_DSM0_BUF0
#define ADC_DSM2__BUF1 CYREG_DSM0_BUF1
#define ADC_DSM2__BUF2 CYREG_DSM0_BUF2
#define ADC_DSM2__BUF3 CYREG_DSM0_BUF3
#define ADC_DSM2__CLK CYREG_DSM0_CLK
#define ADC_DSM2__CR0 CYREG_DSM0_CR0
#define ADC_DSM2__CR1 CYREG_DSM0_CR1
#define ADC_DSM2__CR10 CYREG_DSM0_CR10
#define ADC_DSM2__CR11 CYREG_DSM0_CR11
#define ADC_DSM2__CR12 CYREG_DSM0_CR12
#define ADC_DSM2__CR13 CYREG_DSM0_CR13
#define ADC_DSM2__CR14 CYREG_DSM0_CR14
#define ADC_DSM2__CR15 CYREG_DSM0_CR15
#define ADC_DSM2__CR16 CYREG_DSM0_CR16
#define ADC_DSM2__CR17 CYREG_DSM0_CR17
#define ADC_DSM2__CR2 CYREG_DSM0_CR2
#define ADC_DSM2__CR3 CYREG_DSM0_CR3
#define ADC_DSM2__CR4 CYREG_DSM0_CR4
#define ADC_DSM2__CR5 CYREG_DSM0_CR5
#define ADC_DSM2__CR6 CYREG_DSM0_CR6
#define ADC_DSM2__CR7 CYREG_DSM0_CR7
#define ADC_DSM2__CR8 CYREG_DSM0_CR8
#define ADC_DSM2__CR9 CYREG_DSM0_CR9
#define ADC_DSM2__DEM0 CYREG_DSM0_DEM0
#define ADC_DSM2__DEM1 CYREG_DSM0_DEM1
#define ADC_DSM2__MISC CYREG_DSM0_MISC
#define ADC_DSM2__OUT0 CYREG_DSM0_OUT0
#define ADC_DSM2__OUT1 CYREG_DSM0_OUT1
#define ADC_DSM2__REF0 CYREG_DSM0_REF0
#define ADC_DSM2__REF1 CYREG_DSM0_REF1
#define ADC_DSM2__REF2 CYREG_DSM0_REF2
#define ADC_DSM2__REF3 CYREG_DSM0_REF3
#define ADC_DSM2__RSVD1 CYREG_DSM0_RSVD1
#define ADC_DSM2__SW0 CYREG_DSM0_SW0
#define ADC_DSM2__SW2 CYREG_DSM0_SW2
#define ADC_DSM2__SW3 CYREG_DSM0_SW3
#define ADC_DSM2__SW4 CYREG_DSM0_SW4
#define ADC_DSM2__SW6 CYREG_DSM0_SW6
#define ADC_DSM2__TR0 CYREG_NPUMP_DSM_TR0
#define ADC_DSM2__TST0 CYREG_DSM0_TST0
#define ADC_DSM2__TST1 CYREG_DSM0_TST1

/* ADC_DEC */
#define ADC_DEC__COHER CYREG_DEC_COHER
#define ADC_DEC__CR CYREG_DEC_CR
#define ADC_DEC__DR1 CYREG_DEC_DR1
#define ADC_DEC__DR2 CYREG_DEC_DR2
#define ADC_DEC__DR2H CYREG_DEC_DR2H
#define ADC_DEC__GCOR CYREG_DEC_GCOR
#define ADC_DEC__GCORH CYREG_DEC_GCORH
#define ADC_DEC__GVAL CYREG_DEC_GVAL
#define ADC_DEC__OCOR CYREG_DEC_OCOR
#define ADC_DEC__OCORH CYREG_DEC_OCORH
#define ADC_DEC__OCORM CYREG_DEC_OCORM
#define ADC_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define ADC_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define ADC_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define ADC_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define ADC_DEC__PM_ACT_MSK 0x01u
#define ADC_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define ADC_DEC__PM_STBY_MSK 0x01u
#define ADC_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define ADC_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define ADC_DEC__SR CYREG_DEC_SR
#define ADC_DEC__TRIM__16H CYREG_FLSHID_CUST_TABLES_DEC_16H
#define ADC_DEC__TRIM__16L CYREG_FLSHID_CUST_TABLES_DEC_16L
#define ADC_DEC__TRIM__1H CYREG_FLSHID_CUST_TABLES_DEC_1H
#define ADC_DEC__TRIM__1L CYREG_FLSHID_CUST_TABLES_DEC_1L
#define ADC_DEC__TRIM__4H CYREG_FLSHID_CUST_TABLES_DEC_4H
#define ADC_DEC__TRIM__4L CYREG_FLSHID_CUST_TABLES_DEC_4L
#define ADC_DEC__TRIM__P25H CYREG_FLSHID_CUST_TABLES_DEC_P25H
#define ADC_DEC__TRIM__P25L CYREG_FLSHID_CUST_TABLES_DEC_P25L

/* ADC_IRQ */
#define ADC_IRQ__ES2_PATCH 0
#define ADC_IRQ__INTC_CLR_EN_REG CYREG_INTC_CLR_EN3
#define ADC_IRQ__INTC_CLR_PD_REG CYREG_INTC_CLR_PD3
#define ADC_IRQ__INTC_MASK 0x20u
#define ADC_IRQ__INTC_NUMBER 29
#define ADC_IRQ__INTC_PRIOR_NUM 7
#define ADC_IRQ__INTC_PRIOR_REG CYREG_INTC_PRIOR29
#define ADC_IRQ__INTC_SET_EN_REG CYREG_INTC_SET_EN3
#define ADC_IRQ__INTC_SET_PD_REG CYREG_INTC_SET_PD3
#define ADC_IRQ__INTC_VECT (CYREG_INTC_VECT_MBASE+0x3Au)

/* St_Mot */
#define St_Mot__0__MASK 0x01u
#define St_Mot__0__PC CYREG_PRT15_PC0
#define St_Mot__0__PORT 15
#define St_Mot__0__SHIFT 0
#define St_Mot__AG CYREG_PRT15_AG
#define St_Mot__AMUX CYREG_PRT15_AMUX
#define St_Mot__BIE CYREG_PRT15_BIE
#define St_Mot__BIT_MASK CYREG_PRT15_BIT_MASK
#define St_Mot__BYP CYREG_PRT15_BYP
#define St_Mot__CTL CYREG_PRT15_CTL
#define St_Mot__DM0 CYREG_PRT15_DM0
#define St_Mot__DM1 CYREG_PRT15_DM1
#define St_Mot__DM2 CYREG_PRT15_DM2
#define St_Mot__DR CYREG_PRT15_DR
#define St_Mot__INP_DIS CYREG_PRT15_INP_DIS
#define St_Mot__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define St_Mot__LCD_EN CYREG_PRT15_LCD_EN
#define St_Mot__MASK 0x01u
#define St_Mot__PORT 15
#define St_Mot__PRT CYREG_PRT15_PRT
#define St_Mot__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define St_Mot__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define St_Mot__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define St_Mot__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define St_Mot__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define St_Mot__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define St_Mot__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define St_Mot__PS CYREG_PRT15_PS
#define St_Mot__SHIFT 0
#define St_Mot__SLW CYREG_PRT15_SLW

/* Mode */
#define Mode__0__MASK 0x02u
#define Mode__0__PC CYREG_PRT15_PC1
#define Mode__0__PORT 15
#define Mode__0__SHIFT 1
#define Mode__AG CYREG_PRT15_AG
#define Mode__AMUX CYREG_PRT15_AMUX
#define Mode__BIE CYREG_PRT15_BIE
#define Mode__BIT_MASK CYREG_PRT15_BIT_MASK
#define Mode__BYP CYREG_PRT15_BYP
#define Mode__CTL CYREG_PRT15_CTL
#define Mode__DM0 CYREG_PRT15_DM0
#define Mode__DM1 CYREG_PRT15_DM1
#define Mode__DM2 CYREG_PRT15_DM2
#define Mode__DR CYREG_PRT15_DR
#define Mode__INP_DIS CYREG_PRT15_INP_DIS
#define Mode__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define Mode__LCD_EN CYREG_PRT15_LCD_EN
#define Mode__MASK 0x02u
#define Mode__PORT 15
#define Mode__PRT CYREG_PRT15_PRT
#define Mode__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define Mode__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define Mode__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define Mode__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define Mode__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define Mode__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define Mode__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define Mode__PS CYREG_PRT15_PS
#define Mode__SHIFT 1
#define Mode__SLW CYREG_PRT15_SLW

/* Rx */
#define Rx__0__MASK 0x01u
#define Rx__0__PC CYREG_PRT0_PC0
#define Rx__0__PORT 0
#define Rx__0__SHIFT 0
#define Rx__AG CYREG_PRT0_AG
#define Rx__AMUX CYREG_PRT0_AMUX
#define Rx__BIE CYREG_PRT0_BIE
#define Rx__BIT_MASK CYREG_PRT0_BIT_MASK
#define Rx__BYP CYREG_PRT0_BYP
#define Rx__CTL CYREG_PRT0_CTL
#define Rx__DM0 CYREG_PRT0_DM0
#define Rx__DM1 CYREG_PRT0_DM1
#define Rx__DM2 CYREG_PRT0_DM2
#define Rx__DR CYREG_PRT0_DR
#define Rx__INP_DIS CYREG_PRT0_INP_DIS
#define Rx__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Rx__LCD_EN CYREG_PRT0_LCD_EN
#define Rx__MASK 0x01u
#define Rx__PORT 0
#define Rx__PRT CYREG_PRT0_PRT
#define Rx__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Rx__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Rx__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Rx__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Rx__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Rx__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Rx__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Rx__PS CYREG_PRT0_PS
#define Rx__SHIFT 0
#define Rx__SLW CYREG_PRT0_SLW

/* Tx */
#define Tx__0__MASK 0x02u
#define Tx__0__PC CYREG_PRT0_PC1
#define Tx__0__PORT 0
#define Tx__0__SHIFT 1
#define Tx__AG CYREG_PRT0_AG
#define Tx__AMUX CYREG_PRT0_AMUX
#define Tx__BIE CYREG_PRT0_BIE
#define Tx__BIT_MASK CYREG_PRT0_BIT_MASK
#define Tx__BYP CYREG_PRT0_BYP
#define Tx__CTL CYREG_PRT0_CTL
#define Tx__DM0 CYREG_PRT0_DM0
#define Tx__DM1 CYREG_PRT0_DM1
#define Tx__DM2 CYREG_PRT0_DM2
#define Tx__DR CYREG_PRT0_DR
#define Tx__INP_DIS CYREG_PRT0_INP_DIS
#define Tx__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Tx__LCD_EN CYREG_PRT0_LCD_EN
#define Tx__MASK 0x02u
#define Tx__PORT 0
#define Tx__PRT CYREG_PRT0_PRT
#define Tx__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Tx__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Tx__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Tx__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Tx__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Tx__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Tx__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Tx__PS CYREG_PRT0_PS
#define Tx__SHIFT 1
#define Tx__SLW CYREG_PRT0_SLW

/* X */
#define X__0__MASK 0x20u
#define X__0__PC CYREG_PRT3_PC5
#define X__0__PORT 3
#define X__0__SHIFT 5
#define X__AG CYREG_PRT3_AG
#define X__AMUX CYREG_PRT3_AMUX
#define X__BIE CYREG_PRT3_BIE
#define X__BIT_MASK CYREG_PRT3_BIT_MASK
#define X__BYP CYREG_PRT3_BYP
#define X__CTL CYREG_PRT3_CTL
#define X__DM0 CYREG_PRT3_DM0
#define X__DM1 CYREG_PRT3_DM1
#define X__DM2 CYREG_PRT3_DM2
#define X__DR CYREG_PRT3_DR
#define X__INP_DIS CYREG_PRT3_INP_DIS
#define X__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define X__LCD_EN CYREG_PRT3_LCD_EN
#define X__PORT 3
#define X__PRT CYREG_PRT3_PRT
#define X__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define X__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define X__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define X__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define X__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define X__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define X__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define X__PS CYREG_PRT3_PS
#define X__SLW CYREG_PRT3_SLW

/* Y */
#define Y__0__MASK 0x40u
#define Y__0__PC CYREG_PRT3_PC6
#define Y__0__PORT 3
#define Y__0__SHIFT 6
#define Y__AG CYREG_PRT3_AG
#define Y__AMUX CYREG_PRT3_AMUX
#define Y__BIE CYREG_PRT3_BIE
#define Y__BIT_MASK CYREG_PRT3_BIT_MASK
#define Y__BYP CYREG_PRT3_BYP
#define Y__CTL CYREG_PRT3_CTL
#define Y__DM0 CYREG_PRT3_DM0
#define Y__DM1 CYREG_PRT3_DM1
#define Y__DM2 CYREG_PRT3_DM2
#define Y__DR CYREG_PRT3_DR
#define Y__INP_DIS CYREG_PRT3_INP_DIS
#define Y__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Y__LCD_EN CYREG_PRT3_LCD_EN
#define Y__PORT 3
#define Y__PRT CYREG_PRT3_PRT
#define Y__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Y__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Y__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Y__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Y__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Y__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Y__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Y__PS CYREG_PRT3_PS
#define Y__SLW CYREG_PRT3_SLW

/* Z */
#define Z__0__MASK 0x80u
#define Z__0__PC CYREG_PRT3_PC7
#define Z__0__PORT 3
#define Z__0__SHIFT 7
#define Z__AG CYREG_PRT3_AG
#define Z__AMUX CYREG_PRT3_AMUX
#define Z__BIE CYREG_PRT3_BIE
#define Z__BIT_MASK CYREG_PRT3_BIT_MASK
#define Z__BYP CYREG_PRT3_BYP
#define Z__CTL CYREG_PRT3_CTL
#define Z__DM0 CYREG_PRT3_DM0
#define Z__DM1 CYREG_PRT3_DM1
#define Z__DM2 CYREG_PRT3_DM2
#define Z__DR CYREG_PRT3_DR
#define Z__INP_DIS CYREG_PRT3_INP_DIS
#define Z__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Z__LCD_EN CYREG_PRT3_LCD_EN
#define Z__PORT 3
#define Z__PRT CYREG_PRT3_PRT
#define Z__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Z__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Z__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Z__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Z__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Z__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Z__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Z__PS CYREG_PRT3_PS
#define Z__SLW CYREG_PRT3_SLW

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_LEOPARD
#define CYDEV_BOOTLOADER_CHECKSUM_BASIC 0
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_APPLICATION_ID 0x0000
#define CYDEV_APPLICATION_VERSION 0x0000
#define CYDEV_BOOTLOADER_CHECKSUM CYDEV_BOOTLOADER_CHECKSUM_BASIC
#define CYDEV_BOOTLOADER_CHECKSUM_CRC 1
#define CYDEV_BOOTLOADER_FAST_VERIFY 0
#define CYDEV_BOOTLOADER_VERSION 0x0000
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 200
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC4 2
#define CYDEV_CHIP_FAMILY_PSOC5 3
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x0E028069
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_ES2
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_LEOPARD_ES2
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_FORCE_ROUTE 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CUSTOM_ID 0x00000000
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DBG_EN_DBG_EN
#define CYDEV_DMA_CHANNELS_AVAILABLE 24
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 0
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VDDA 5
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define CyBtldr_Custom_Interface CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
