/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

void main()
{
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
	uint8 x,y,z,i;
	char x_val[4], y_val[4], z_val[4];
	
	Acc_Enable_Write(1);  /* Enable the Accelerometer */
	Mode_Write(1);        /* Mode is set to 1 */
	St_Mot_Write(0);      /* Normal Mode */
	
	ADC_Start();
	UART_Start();
	AMux_Start();
		

    CyGlobalIntEnable; /* Uncomment this line to enable global interrupts. */
    for(;;)
    {
        /* Place your application code here. */
		
		///////////////////////////////////////////////////////////////////////////////////
		
		AMux_Select(0);
		CyDelay(20);
		ADC_StartConvert();
		ADC_IsEndConversion(ADC_WAIT_FOR_RESULT);
		x = ADC_GetResult8();
		ADC_StopConvert();
		
		x_val[3] = '\0';
		
		i = x % 10;
		x_val[2] = 0x30 | i;
		
		x = x / 10;
		i = x % 10;
		x_val[1] = 0x30 | i;
		
		x = x / 10;
		x_val[0] = 0x30 | x;
		
		UART_PutString("X = ");
		UART_PutString(x_val);
		
		/////////////////////////////////////////////////////////////////////////////////
		
		AMux_Select(1);
		CyDelay(20);
		ADC_StartConvert();
		ADC_IsEndConversion(ADC_WAIT_FOR_RESULT);
		y = ADC_GetResult8();
		ADC_StopConvert();
		
		y_val[3] = '\0';
		
		i = y % 10;
		y_val[2] = 0x30 | i;
		
		y = y / 10;
		i = y % 10;
		y_val[1] = 0x30 | i;
		
		y = y / 10;
		y_val[0] = 0x30 | y;
		
		UART_PutString("     Y = ");
		UART_PutString(y_val);
		
		
		////////////////////////////////////////////////////////////////////////////////
		
		AMux_Select(2);
		CyDelay(20);
		ADC_StartConvert();
		ADC_IsEndConversion(ADC_WAIT_FOR_RESULT);
		z = ADC_GetResult8();
		ADC_StopConvert();
		
		z_val[3] = '\0';
		
		i = z % 10;
		z_val[2] = 0x30 | i;
		
		z = z / 10;
		i = z % 10;
		z_val[1] = 0x30 | i;
		
		z = z / 10;
		z_val[0] = 0x30 | z;
		
		UART_PutString("     Z = ");
		UART_PutString(z_val);
		
		UART_PutChar(0x0A); /* New Line */
		UART_PutChar(0x0D); /* Carriage Return */
    }
}

/* [] END OF FILE */
